/**
 * Created on 08.03.2008
 */
package lab2.gui;

import java.awt.Component;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Rectangle;

import javax.swing.ImageIcon;
import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.JViewport;
import javax.swing.border.Border;

import lab2.data.TimeThread;

/**
 * @author cipi
 *
 */
@SuppressWarnings("serial")
public class Lab2MainClass extends JScrollPane {
	private static MainPanel pnl = new MainPanel();
	private ImageIcon background;
	
	public Lab2MainClass(Component view){
	    super(view);
	    background = new ImageIcon(getClass().getResource("images/background.jpg"));
	  }

	  public void setBackgroundIcon(ImageIcon p){
	    background = p;
	  }

	  public final ImageIcon getBackgroundIcon(){
	    return background;
	  }

	  public void paintComponent(Graphics g){
	    // No call to super.paintComponent, that would also paint the background.
	    if (background != null){
	      g.drawImage(background.getImage(), 0, 0, getWidth(), getHeight(), this);
//	      background.paintIcon(this, g, 0, 0); // if icon size is good, use this
	    }
	    Border border = getViewportBorder();
	    if (border != null){
	      Rectangle r = getViewportBorderBounds();
	      border.paintBorder(this, g, r.x, r.y, r.width, r.height);
	    }
	  }

	  public static void main(String[] args) throws Exception{
		  JFrame f = new JFrame();
		    f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		    f.setTitle("Flights management");

		    Lab2MainClass pane = new Lab2MainClass(pnl);
		    pane.getViewport().setOpaque(false);

		    JViewport column = new JViewport();
		    column.setOpaque(false);
		    pane.setColumnHeader(column);
		    JViewport row = new JViewport();
		    row.setOpaque(false);
		    pane.setRowHeader(row);
		    
		    pane.setPreferredSize(new Dimension(800, 600));

		    f.getContentPane().add(pane);
		    f.pack();
		    f.setLocationRelativeTo(null);
		    f.setVisible(true);
		    
		    TimeThread.getInstance().start();
	  }
}
