/**
 * Created on 08.03.2008
 */
package lab2.gui;

import java.awt.BorderLayout;
import java.awt.GridBagConstraints;
import java.awt.GridBagLayout;
import java.awt.Insets;

import javax.swing.BorderFactory;
import javax.swing.ImageIcon;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTable;
import javax.swing.table.AbstractTableModel;

import lab2.gui.airplanes.AirplanesTable;
import lab2.gui.airplanes.AirplanesTableModel;
import lab2.gui.airports.AirportsTable;
import lab2.gui.airports.AirportsTableModel;


/**
 * @author cipi
 *
 */
@SuppressWarnings("serial")
public class MainPanel extends JPanel {
	private JLabel lbImg = null;
	
	private JTable airportsTable = null;
	private AbstractTableModel airportsTableModel = null;
	
	private JTable airplanesTable = null;
	private AbstractTableModel airplanesTableModel = null;


	public MainPanel(){
		initComponents();
		initialize();
	}

	private void initComponents() {
		lbImg = new JLabel(new ImageIcon(getClass().getResource("images/plane1.gif")));

		airportsTableModel = new AirportsTableModel();
		airportsTable = new AirportsTable(airportsTableModel);
		airportsTable.setAutoResizeMode(JTable.AUTO_RESIZE_OFF);
        airportsTable.getTableHeader().setReorderingAllowed(false);

		airplanesTableModel = new AirplanesTableModel();
		airplanesTable = new AirplanesTable(airplanesTableModel);
		airplanesTable.setAutoResizeMode(JTable.AUTO_RESIZE_OFF);
		airplanesTable.getTableHeader().setReorderingAllowed(false);
		airplanesTable.getTableHeader().setVisible(false);

	}

	private void initialize() {
		//Aiports Table
		JPanel airportsTableContainer = new JPanel();
		airportsTableContainer.setLayout(new GridBagLayout());
		airportsTableContainer.setOpaque(false);
		airportsTableContainer.setBorder(BorderFactory
				.createTitledBorder("Aeroporturi"));
		
		GridBagConstraints c = new GridBagConstraints();
		c.anchor = GridBagConstraints.WEST;
		c.gridx = 0;
		c.gridy = 0;
		
		airportsTableContainer.add(airportsTable.getTableHeader(), c);
		c.gridy++;
		airportsTableContainer.add(airportsTable, c);
		
		//Aiplanes table
		JPanel airplanesTableContainer = new JPanel();
		airplanesTableContainer.setLayout(new GridBagLayout());
		airplanesTableContainer.setOpaque(false);
		airplanesTableContainer.setBorder(BorderFactory
				.createTitledBorder("Traficul Aerian"));

		c.gridy = 0;
		airplanesTableContainer.add(airplanesTable.getTableHeader(), c);
		c.gridy++;
		airplanesTableContainer.add(airplanesTable, c);

		//The container with all tables
		JPanel container = new JPanel();
		container.setLayout(new GridBagLayout());
		container.setOpaque(false);
		
		c.gridy = 0;
		container.add(airportsTableContainer, c);
		c.gridy++;
		c.insets = new Insets(30, 0, 0, 0);
		container.add(airplanesTableContainer, c);
		
		
		this.setLayout(new BorderLayout());
		this.add(lbImg, BorderLayout.NORTH);
		this.add(container, BorderLayout.WEST);
		
		
//		this.setBackground(new Color(103, 171, 245));
		this.setOpaque(false);
	}
}
