/**
 * Created on 08.03.2008
 */
package lab2.gui;

import javax.swing.JTable;
import javax.swing.event.TableModelEvent;
import javax.swing.table.AbstractTableModel;

/**
 * @author cipi
 *
 */
public abstract class MyTable extends JTable {
	public MyTable(AbstractTableModel tableModel) {
		super(tableModel);
		tableModel.fireTableStructureChanged();
	}
	
	public void tableChanged(TableModelEvent e) {
		boolean structureChanged = (e.getFirstRow() == TableModelEvent.HEADER_ROW);
		super.tableChanged(e);
		if (structureChanged) {
			customizeTable();
			// here fireTableDataChanged() is fired after the new
			// renderers and editors are installed in order to refresh 
			// the view by use of the newly installed renderers
			AbstractTableModel m = (AbstractTableModel) getModel();
			m.fireTableDataChanged();
		}
	}

	protected abstract void customizeTable();
}
