/**
 * Created on 08.03.2008
 */
package lab2.gui.airplanes;

import javax.swing.table.AbstractTableModel;
import javax.swing.table.DefaultTableCellRenderer;
import javax.swing.table.JTableHeader;
import javax.swing.table.TableCellRenderer;

import sun.swing.table.DefaultTableCellHeaderRenderer;

import lab2.gui.MyTable;
import lab2.gui.MyTableHeaderRenderer;

/**
 * @author cipi
 *
 */
@SuppressWarnings("serial")
public class AirplanesTable extends MyTable {
	private DefaultTableCellRenderer cellRenderer = null;
	private DefaultTableCellHeaderRenderer headerRenderer = null;

	public AirplanesTable(AbstractTableModel tableModel) {
		super(tableModel);
		
		cellRenderer = new AirplanesTableCellRenderer();
		headerRenderer = new MyTableHeaderRenderer();
	}

	@Override
	public TableCellRenderer getCellRenderer(int row, int column) {
		return cellRenderer;
	}

	@Override
	protected void customizeTable() {
		JTableHeader tH = getTableHeader();
		if (tH != null) {
			if (getModel().getRowCount() == 0) {
				tH.setVisible(false);
			} else {
				tH.setVisible(true);
			}
		}
		
		for (int i = 0; i < getColumnCount(); i++) {
			getColumnModel().getColumn(i).setHeaderRenderer(headerRenderer);
		}
		
		getColumnModel().getColumn(0).setPreferredWidth(130);
		getColumnModel().getColumn(1).setPreferredWidth(130);
		getColumnModel().getColumn(2).setPreferredWidth(130);
		getColumnModel().getColumn(3).setPreferredWidth(70);
		getColumnModel().getColumn(4).setPreferredWidth(85);
		getColumnModel().getColumn(5).setPreferredWidth(125);
		getColumnModel().getColumn(6).setPreferredWidth(55);
	}

}
