/**
 * Created on 08.03.2008
 */
package lab2.gui.airplanes;

import java.awt.Color;
import java.awt.Component;

import javax.swing.JTable;
import javax.swing.table.DefaultTableCellRenderer;

import lab2.data.ProjectCharacteristics;

/**
 * @author cipi
 *
 */
@SuppressWarnings("serial")
public class AirplanesTableCellRenderer extends DefaultTableCellRenderer {

	@Override
	public Component getTableCellRendererComponent(JTable table, Object value,
			boolean isSelected, boolean hasFocus, int row, int col) {
		Color oddColor = null;
        Color evenColor = null;

		if (row < ProjectCharacteristics.getInstance().getFlightsWaiting().size()) {
            oddColor = new Color(251, 200, 179);
        	evenColor = new Color(243, 93, 33);
        } else {
        	oddColor = new Color(176, 254, 176);
            evenColor = new Color(10, 252, 16);
        }
        if (0 == row % 2) {
            setBackground(evenColor);
        } else {
            setBackground(oddColor);
        }

		return super.getTableCellRendererComponent(table, value, isSelected,
				hasFocus, row, col);
	}

}
