/**
 * Created on 08.03.2008
 */
package lab2.gui.airports;

import java.awt.Component;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.MouseEvent;
import java.util.EventObject;

import javax.swing.AbstractCellEditor;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JTable;
import javax.swing.table.TableCellEditor;

import lab2.data.ProjectCharacteristics;
import lab2.types.Airplane;
import lab2.types.Airport;

/**
 * @author cipi
 *
 */
@SuppressWarnings("serial")
public class AirplanesCellEditor extends AbstractCellEditor implements TableCellEditor {
	private JButton button = null;
	private String text = null;
	private AirplanesDepartDialog dialog = null;
	private Airplane airplane = null;
	private Airport airport = null;
	
	public AirplanesCellEditor() {
		// Set up the editor (from the table's point of view),
		// which is a button.
		// This button brings up the Traffic Pool chooser dialog,
		// which is the editor from the user's point of view.
		button = new JButton();
		button.addActionListener(new ActionListener(){

			public void actionPerformed(ActionEvent e) {
				button.setText(text);
				button.setHorizontalAlignment(JLabel.LEFT);
				
				dialog = new AirplanesDepartDialog(airport, airplane,
						new JFrame());
				dialog.setVisible(true);
				
				// Make the renderer reappear.
				fireEditingStopped();

			}
			
		});
		button.setBorderPainted(false);

	}

	public Component getTableCellEditorComponent(JTable table, Object value,
			boolean isSelected, int row, int column) {
		airport = ProjectCharacteristics.getInstance().getAirports()
				.get(column);
		airplane = airport.getAirplanes().get(row);
		text = "" + value;
		return button;
	}

	public Object getCellEditorValue() {
		return text;
	}
	
	//a cell will be editable only on double click
	public boolean isCellEditable(EventObject evt) {
		if (evt instanceof MouseEvent) {
			if (((MouseEvent)evt).getClickCount() == 2) {
				return true;
			}
		}
		return false;
	}


}
