/**
 * Created on 08.03.2008
 */
package lab2.gui.airports;

import javax.swing.table.AbstractTableModel;
import javax.swing.table.DefaultTableCellRenderer;
import javax.swing.table.TableCellEditor;
import javax.swing.table.TableCellRenderer;

import lab2.gui.MyTable;
import lab2.gui.MyTableHeaderRenderer;
import sun.swing.table.DefaultTableCellHeaderRenderer;

/**
 * @author cipi
 *
 */
@SuppressWarnings("serial")
public class AirportsTable extends MyTable {
	private DefaultTableCellRenderer cellRenderer = null;
	private DefaultTableCellHeaderRenderer headerRenderer = null;
	private AirplanesCellEditor cellEditor = null;

	public AirportsTable(AbstractTableModel tableModel) {
		super(tableModel);
		
		headerRenderer = new MyTableHeaderRenderer();
		cellRenderer = new AirportsTableCellRenderer();
		cellEditor = new AirplanesCellEditor();
	}
	
	@Override
	public TableCellEditor getCellEditor(int row, int column) {
		return cellEditor;
	}

	@Override
	public TableCellRenderer getCellRenderer(int row, int column) {
		return cellRenderer;
	}

	@Override
	protected void customizeTable() {
		for (int i = 0; i < getColumnCount(); i++) {
			getColumnModel().getColumn(i).setHeaderRenderer(headerRenderer);
			getColumnModel().getColumn(i).setPreferredWidth(130);
		}		
	}
	
}
