/**
 * Created on 04.03.2008
 */
package lab2.types;

import java.util.LinkedList;
import java.util.List;

/**
 * @author cipi
 * 
 */
public class Airport extends MyClass {
	public static final String AIRPLANE_ARRIVED = "Airplane arrived";
	public static final String AIRPLANE_LEAVED = "Airplane leaved";
	
	private AirportInformation airportInformation = null;
	private List<Airplane> airplanes = new LinkedList<Airplane>();

	public Airport(String airportName, String airportAddress,
			String airportTelephone, String airportManager,
			Coordinates airportCoordinates) {
		this.airportInformation = new AirportInformation(airportName,
				airportAddress, airportTelephone, airportManager,
				airportCoordinates);
	}

	public List<Airplane> getAirplanes() {
		return airplanes;
	}
	
	public void addAirplane(Airplane airplane) {
		airplanes.add(airplane);
		notifyListeners(AIRPLANE_ARRIVED);
	}
	
	public void removeAirplane(Airplane airplane) {
		airplanes.remove(airplane);
		notifyListeners(AIRPLANE_LEAVED);
	}

	public AirportInformation getAirportInformation() {
		return airportInformation;
	}

	public boolean containsAirplane(Airplane airplane) {
		return airplanes.contains(airplane);
	}

	@Override
	public String toString() {
		return "" + getAirportInformation().getName();
	}
	
}
