/**
 * created on 09.12.2007
 */
package lab2.types;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author cipi
 * 
 */
public class MyClass {
	private Map<MyEventListener, Boolean> delayedListeners = new HashMap<MyEventListener, Boolean>();
	private List<MyEventListener> listeners = new ArrayList<MyEventListener>();
	private boolean isDelayed;

	public void addMyEventListener(MyEventListener listener) {
		if (isDelayed)
			delayedListeners.put(listener, true);
		else
			listeners.add(listener);
	}

	public void removeMyEventListener(MyEventListener listener) {
		if (isDelayed)
			delayedListeners.put(listener, false);
		else
			listeners.remove(listener);
	}

	protected void notifyListeners() {
		notifyListeners("");
	}
	
	protected void notifyListeners(String evt) {
		isDelayed = true;

		for (MyEventListener listener : listeners) {
			listener.performMyEvent(this, evt);
		}

		isDelayed = false;

		for (MyEventListener listener : delayedListeners.keySet()) {
			if(delayedListeners.get(listener)) {
				listeners.add(listener);
			} else {
				listeners.remove(listener);
			}
		}
		delayedListeners.clear();
	}
}
